> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/mandiri/verify-otp-card-registration.md).

# Verify OTP - Card Registration

Verify the OTP sent to the customer during the card registration flow.

### Endpoint

| Environment | Method | URL                                                    |
| ----------- | ------ | ------------------------------------------------------ |
| Development | POST   | <https://devo.finnet.co.id/snap/v2.0/otp-verification> |
| Production  | POST   | TBD                                                    |

### Header Request

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>X-SIGNATURE</td><td>string</td><td>M</td><td>Request signature. See <a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/UHH9dh2KliOLisy4rsw8">Signature</a>. Example: <code>{{signature}}</code>.</td></tr><tr><td>2</td><td>X-TIMESTAMP</td><td>string</td><td>M</td><td>Request timestamp. Example: <code>{{timestamp}}</code>.</td></tr><tr><td>3</td><td>X-PARTNER-ID</td><td>string</td><td>M</td><td>Partner identifier. Example: <code>cM8GIPvoEpzLaHQfvL1e9g</code>.</td></tr><tr><td>4</td><td>X-EXTERNAL-ID</td><td>string</td><td>M</td><td>External reference identifier. Example: <code>{{external-id}}</code>.</td></tr><tr><td>5</td><td>CHANNEL-ID</td><td>string</td><td>M</td><td>Channel identifier. Example: <code>drdbt</code>.</td></tr><tr><td>6</td><td>test</td><td>string</td><td>M</td><td>Testing flag. Example: <code>true</code>.</td></tr></tbody></table>

### Body Request

Content-Type: `application/json`

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>originalReferenceNo</td><td>string</td><td>M</td><td>Original reference number from the card registration initiation step.</td></tr><tr><td>2</td><td>otp</td><td>string</td><td>M</td><td>OTP value provided by the customer.</td></tr><tr><td>3</td><td>chargeToken</td><td>string</td><td>M</td><td>Token used to identify the OTP verification context.</td></tr><tr><td>4</td><td>type</td><td>string</td><td>M</td><td>OTP verification type. Example: <code>card</code>.</td></tr></tbody></table>

#### Sample Request

```json
{
  "originalReferenceNo": "377547569889",
  "otp": "999999",
  "chargeToken": "TOK_5WTXYMCZHE5XS5CI44YC6WCFUTYI23CK::0008",
  "type": "card"
}
```

### Body Response

#### `200 OK`

Returns `application/json`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/mandiri/verify-otp-card-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
